Package com.ngrok.services

# Class Endpoints

java.lang.Object
com.ngrok.services.Endpoints

public class Endpoints extends Object
Endpoints provides an API for querying the endpoint objects which define what tunnel or edge is used to serve a hostport. Only active endpoints associated with a tunnel or backend are returned. See also https://ngrok.com/docs/api#api-endpoints.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `Endpoints.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `Endpoints.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Endpoints(NgrokApiClient apiClient)`
  Creates a new sub-client for Endpoints.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Endpoints.GetCallBuilder`
  `get(String id)`
  Get the status of an endpoint by ID See also https://ngrok.com/docs/api#api-endpoints-get.
  `Endpoints.ListCallBuilder`
  `list()`
  List all active endpoints on the account See also https://ngrok.com/docs/api#api-endpoints-list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Endpoints

    public Endpoints(NgrokApiClient apiClient)
    Creates a new sub-client for Endpoints.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### list

    public Endpoints.ListCallBuilder list()
    List all active endpoints on the account See also https://ngrok.com/docs/api#api-endpoints-list.
    Returns:
      a call builder for this API call

  - ### get

    public Endpoints.GetCallBuilder get(String id)
    Get the status of an endpoint by ID See also https://ngrok.com/docs/api#api-endpoints-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call